jvx.geom

## Class PwTopology

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.geom.PwTopology

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf

      public class PwTopology
      extends PjWorkshop

  Utility programs for topological operations on a PgElementSet.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    08.07.02, 1.00 created (ur)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwTopology()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PgPolygonSet` | `getElementStrips(PgElementSet geom)`
    `static PiVector[]` | `getElementStrips(PgElementSet geom, int startIndex, int endIndex)` Get a set of different element strips between two given elements.
    `static boolean` | `joinAlongPolygon(PgElementSet geom, PiVector polygon, PiVector[] newNeighbour)` Glue neighbourhood informations along a polygon upon a PgElementSet in a given neighbourhood PiVector[].
    `static void` | `makeBndPolygonLoop(PgElementSet geom)`
    `static void` | `makeBndPolygonLoopWithoutEnds(PgElementSet geom)`
    `void` | `ok()` Accept the current state of the geometry and close the workshop.
    `void` | `reset()` Reset this workshop to its initial state from which computations can start.
    `static boolean` | `splitAlongMarkedEdges(PgElementSet geom)` Destroy neighbourhood information along marked edges of an element set.
    `static boolean` | `splitAlongPolygon(PgElementSet geom, PiVector polygon, PiVector[] newNeighbour)` Destroy neighbourhood informations along a polygon upon a PgElementSet in a given neighbourhood PiVector[].

    - ### Methods inherited from class jvx.project.PjWorkshop

      `cancel, close, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, init, isModal, isStandalone, removeGeometry, setDisplay, setDisplays, setGeometry, setModal, setMode, setStandalone, setViewer, update`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Constructor Detail

    - #### PwTopology

          public PwTopology()

      Constructor.

  - ### Method Detail

    - #### reset

          public void reset()

      Reset this workshop to its initial state from which computations can start.
      Overrides:
        `reset` in class `PjWorkshop`

    - #### ok

          public void ok()

      Accept the current state of the geometry and close the workshop.
      Overrides:
        `ok` in class `PjWorkshop`

    - #### splitAlongMarkedEdges

          public static boolean splitAlongMarkedEdges(PgElementSet geom)

      Destroy neighbourhood information along marked edges of an element set. Edges are defined as marked if both end points are selected.

      Method first disconnects the element neighbourhood and then invokes `PwCleanMesh#splitNonManifoldVertices(PgElementSet)` to duplicate vertices and fully separate the geometry along the marked polygons.

      Author:
        Konrad Polthier
      Version:
        22.11.03, 1.00 created (kp)

    - #### splitAlongPolygon

          public static boolean splitAlongPolygon(PgElementSet geom,
                                                  PiVector polygon,
                                                  PiVector[] newNeighbour)

      Destroy neighbourhood informations along a polygon upon a PgElementSet in a given neighbourhood PiVector[]. The PgElementSet itself should still have correct neighbourhood informations.
      Author:
        Ulrich Reitebuch
      Version:
        21.11.03, 1.10 revised (kp) Renamed to splitAlongPolygon from destroyNeighbourhoodAlongPolygon().
        27.06.02, 1.00 created (ur)

    - #### joinAlongPolygon

          public static boolean joinAlongPolygon(PgElementSet geom,
                                                 PiVector polygon,
                                                 PiVector[] newNeighbour)

      Glue neighbourhood informations along a polygon upon a PgElementSet in a given neighbourhood PiVector[]. The PgElementSet itself should still have correct neighbourhood informations.
      Author:
        Ulrich Reitebuch
      Version:
        21.11.03, 1.10 revised (kp) Renamed to joinAlongPolygon from glueNeighbourhoodAlongPolygon().
        27.06.02, 1.00 created (ur)

    - #### getElementStrips

          public static PiVector[] getElementStrips(PgElementSet geom,
                                                    int startIndex,
                                                    int endIndex)

      Get a set of different element strips between two given elements.
      Author:
        Ulrich Reitebuch
      Version:
        05.07.02, 1.00 created (ur)

    - #### getElementStrips

          public static PgPolygonSet getElementStrips(PgElementSet geom)

    - #### makeBndPolygonLoop

          public static void makeBndPolygonLoop(PgElementSet geom)

    - #### makeBndPolygonLoopWithoutEnds

          public static void makeBndPolygonLoopWithoutEnds(PgElementSet geom)

"

The software JavaView? is copyright protected. All Rights Reserved.
"